var dbName, dbStoreName, items, render;

dbName = 'AppDb';
dbStoreName = 'bookmark';
items = [];

render = function() {
  var $div, $ul, i, len, item;
  if ($('#bookmarkList').length === 0) {
    return;
  }
  items = JSON.parse(localStorage.getItem(dbStoreName)) || [];
  $ul = $('<ul class="list">');
  for (i = 0, len = items.length; i < len; i++) {
    item = items[i];
    $div = $('<div>').append($('<a>').attr('href', item.url).addClass('text- left').html('<i class="fas fa-bookmark"></i> ' + item.name));
     $div.append('<br>');
    $div.append($('<p>').append($('<a>').attr({
      href: 'javascript:void(0)',
      'class': 'removeShiori float-right',
      'data-name': item.name
    }).text('→しおりを外す')));
$ul.append($('<li>').append($div).append('<br>'));
   
  }
  return $('#bookmarkList').html($ul);
};

$(function() {
  render();
  $(document).on('click', '#setShiori', function() {
    var data;
    data = {
      name: $('h2').text(),
      url: location.href
    };
    items = JSON.parse(localStorage.getItem(dbStoreName)) || [];
    items.push(data);
    localStorage.setItem(dbStoreName, JSON.stringify(items));
    $('<div id="notice">しおりをはさみました</div>').hide().insertAfter(this).fadeIn().delay(3000).fadeOut();
    return render();
  });
  return $(document).on('click', '.removeShiori', function() {
    var i, item, key, len;
    key = $(this).data('name');
    items = JSON.parse(localStorage.getItem(dbStoreName)) || [];
    for (i = 0, len = items.length; i < len; i++) {
      item = items[i];
      if (item.name === key) {
        items.splice(i, 1);
        break;
      }
    }
    localStorage.setItem(dbStoreName, JSON.stringify(items));
    return render();
  });
});